@import 'colores.css';
/*
body {
	overflow: hidden;
	font-family: "Mulish", sans-serif;
	font-weight: 300;
	color: var(--primary);
}
*/
body {
	min-height: 100vh;
	overflow: hidden;
	font-family: "Mulish", sans-serif;
	font-weight: 600;
	
}
/*
.container-principal-general{
	min-width: max-content;
}
*/
#cabecera-content {
	margin-top: 9px;
}

main {
	display: flex;
	flex-wrap: nowrap;
	height: 100vh;
	height: -webkit-fill-available;
	max-height: 100vh;
	overflow-x: auto;
	overflow-y: auto;
}

.img-svg {
	filter: invert(100%) sepia(66%) saturate(256%) hue-rotate(17deg) brightness(110%) contrast(98%);
	width: 40px;
	height: 40px;
}

.btn-svg {
	width: auto;
	height: 100%;
	padding: 8px;
}

.header-principal .row-header {
	height: auto;
	margin-top: 0.5em;
}

.btn-svg-div {
	height: 3.3em;
	width: 60px;
}

.img-header {
	height: -webkit-fill-available;
	width: min-content;
}

.container-principal-content {
	border: 1px darkgray solid;
	min-height: 80vh;
	display: flex;
	flex-direction: column;
	padding: 8px;
}

.container-page-title {
	border: 1px darkgray solid;
	margin-right: 5px;
}

.text-blanco {
	color: white;
}

.text-principal-row {
	font-weight: 800;
}

.contenedor-table {
	overflow-y: auto;
	flex: 1;
	max-height: 56vh;
	margin-right: 10px;
}

.text-header {
	font-weight: 300;
	margin: 0;
	font-size: 0.6em;
}

.custom-table-header th {
	position: sticky;
	top: 0;
	text-align: center;
}

tbody tr td {
	font-size: small;
	font: menu;
	align-content: center;
}

.form {
	font-weight: 400;
}

.form-control:focus {
	border-color: var(--principal-claro);
	box-shadow: 0 0 0 0.05rem var(--principal-claro);
	outline: 0;
	/* Evita que aparezca el resplandor predeterminado */
}

.form-select:focus {
	border-color: var(--principal-claro);
	box-shadow: 0 0 0 0.05rem var(--principal-claro);
	outline: 0;
	/* Evita que aparezca el resplandor predeterminado */
}

.form-control::placeholder {
	color: grey;
}

.form-selec {
	color: var(--principal-oscuro);
}

.btn-dropdown:focus {
	background-color: var(--principal-claro);
}

.table> :not(caption)>*>* {
	padding: 0.2rem 0rem;
}

.btn-cuerpo {
	width: 150px;
}

#text-mostrando {
	margin-bottom: 0px;
}


.content {
	display: none;
}

.active-content {
	display: block !important;
}

.div-header-principal {
	padding-left: 2px;
	padding-right: 2px;
}

.contenido-principal {
	margin-left: 5px;
	flex: 1;
	display: flex;
	flex-direction: column;
}

.text-principal-row {
	font-weight: 100;
}

.center-text {
	text-align: center !important;
}

.left-text {
	text-align: left !important;
}

.right-text {
	text-align: right !important;
}

.form-control {
	border: 1px solid grey;
}

.form-select {
	border: 1px solid grey;
}

.btn-eliminar-fromProveedor {
	padding-top: 2px;
	padding-bottom: 2px;
}

.z-index-opcion {
	z-index: 1;
}

.cerrar-btn-principal {
	margin-left: 8px;
	padding-top: 0px;
	padding-bottom: 2px;
	padding-right: 8px;
	padding-left: 8px;
	margin-right: 0px;
}

.container-page-title .cerrar-btn-principal {
	color: #222;
}

.active-content-cabecera {
	background-color: var(--principal-claro);
	color: #fff;
}

.active-content-cabecera .cerrar-btn-principal {
	color: #fff;
}

.btn-eliminarSimple {
	padding: 0;
	border: 0;
	width: 50%;
	color: white;
	background: red;
}

.btn-agregarSimple {
	padding: 0;
	border: 0;
	width: 50%;
	color: white;
	background: var(--principal-claro);
}

.input-simple {
	width: 90%;
	padding: 0;
	border: 0;
	text-align: center;
}

.input-simple:focus {
	border-color: var(--principal-claro);
	box-shadow: 0 0 0 0.05rem var(--principal-claro);
	outline: 0;
	/* Evita que aparezca el resplandor predeterminado */
}


.input-simple-tabla {
	width: 100%;
	padding: 0;
	border: 0;
	text-align: right;
}

.input-simple-tabla:focus {
	border-color: var(--principal-claro);
	box-shadow: 0 0 0 0.05rem var(--principal-claro);
	outline: 0;
	/* Evita que aparezca el resplandor predeterminado */
}

.btn-simple-tabla {
	background-color: var(--principal-claro) !important;
	color: white !important;
	border: 0;
	padding-top: 2px;
	padding-bottom: 2px;
}

.no-arrows::-webkit-outer-spin-button,
.no-arrows::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

/* Firefox */
.no-arrows[type="number"] {
	-moz-appearance: textfield;
}

.btn-sm-table {
	padding: 0px 6px;
}

.p-simple {
	margin-bottom: 0;
}

select[readonly] {
	pointer-events: none;
	/* Impide interacción con el mouse */
	background-color: #e9ecef;
	/* Opcional: Similar a campos desactivados */
}

.highlight {
	background-color: #FCDD68 !important;
}

.td-transparente {
	background: transparent !important;
}

.check-lc {
	padding: 6px;
}


.pointer{
	cursor: pointer;
}

.btn-principal {
	background-color: var(--principal-claro) !important;
	color: white !important;
}

.btn-principal:hover {
	background-color: #3fb034 !important;
	color: white !important;
}

.btn-aling-ms-1 button{
	margin-left: .25rem !important;
	&:first-child{
		margin-left: 0 !important;
	}
}

.td-opcion {
	z-index: 0;
}

.col-form-1 {
	flex: 0 0 auto;
    width: 10%;
}
.col-form-2 {
	flex: 0 0 auto;
    width: 20%;
}
.col-form-3 {
	flex: 0 0 auto;
    width: 30%;
}
.col-form-4 {
	flex: 0 0 auto;
    width: 40%;
}
.col-form-5 {
	flex: 0 0 auto;
    width: 50%;
}
.col-form-6 {
	flex: 0 0 auto;
    width: 60%;
}
.col-form-7 {
	flex: 0 0 auto;
    width: 70%;
}
.col-form-8 {
	flex: 0 0 auto;
    width: 80%;
}
.col-form-9 {
	flex: 0 0 auto;
    width: 90%;
}
.col-form-10 {
	flex: 0 0 auto;
    width: 100%;
}
form label {
	margin-bottom: 0px !important;
}
